/// Passive Ability: No Air Walk
// removes the air walk making you change to your falling state

// CUSTOMIZE SECTION START
local skin = "sonic" // your character here
local sound = sfx_s3k51 // the sound of the state change
// CUSTOMIZE SECTION END PROCCED BELOW IF YOU KNOW WHAT YOUR DOING


addHook("PlayerThink", function(player)
	if player.mo and player.mo.skin == skin
	and not P_IsObjectOnGround(player.mo)
		if player.mo.state == S_PLAY_WALK
		or player.mo.state == S_PLAY_RUN
		or player.mo.state == S_PLAY_DASH
			player.mo.state = S_PLAY_FALL
			S_StartSound(player.mo, sound)
		end
	end
end)