/// Ability: Shoot
// allow you to fire a projectile

// CUSTOMIZE SECTION START
local skin = "tails" // your character here
local thebutton = BT_CUSTOM1 // the button needed to fire the projectile
local sound = sfx_thok // the shooting sound
local projectile = MT_REDRING // the projectile itself
local autoaim = true // if this is true, the projectile is automatically aimed
local hasdelay = false // if this is true, you will have a delay while firing
local firedelay = 2 // the delay of firing if hasdelay is true
local hasringcost = true // if this is true, then firing will have a ring cost
local ringcost = 1 // the amount of rings you need/that will be taken when you fire 
// CUSTOMIZE SECTION END PROCCED BELOW IF YOU KNOW WHAT YOUR DOING

local function RingTaker(player)
	if hasringcost == false
		return true
	end
	if hasringcost == true and player.rings > ringcost
		player.rings = $ - ringcost
		return true
	end
	if hasringcost == true and player.rings == ringcost
		player.rings = $ - ringcost
		return true
	end
	if hasringcost == true and player.rings < ringcost
		S_StartSound(player.mo,sfx_s3kb2)
		return false
	end
end

local theproj = MT_NULL

addHook("PlayerThink", function(player)
	if player.mo.shootaim == nil
		player.mo.shootaim = 0
	end
	if player.mo.projangle == nil
		player.mo.projangle = 0
	end
	if player.mo.buttonholding == nil
		player.mo.buttonholding = false
	end
	if not (player.cmd.buttons & thebutton) 
		player.mo.buttonholding = false
	end
	if player.mo and player.mo.skin == skin
	and autoaim == true
		player.mo.shootaim = P_LookForEnemies(player, false, true)
		if player.mo.shootaim and player.mo.shootaim.valid and player.mo.shootaim.health
			player.mo.projangle = R_PointToAngle2(player.mo.x, player.mo.y, player.mo.shootaim.x, player.mo.shootaim.y)
			P_SpawnLockOn(player, player.mo.shootaim, S_LOCKON1)
		end
	end
	if player.mo and player.mo.skin == skin
	and (player.cmd.buttons & thebutton)
	and hasdelay == true
	and not player.weapondelay
	and RingTaker(player) == true
		if player.mo.shootaim and player.mo.shootaim.valid and autoaim == true
			theproj = P_SpawnMissile(player.mo, player.mo.shootaim, projectile)
		else
			theproj = P_SpawnPlayerMissile(player.mo,projectile)
		end
		theproj.target = player.mo
		S_StartSound(player.mo, sound)
		player.weapondelay = TICRATE*firedelay
		if hasrecoil == true
			P_InstaThrust(player.mo, player.mo.angle, -FRACUNIT*recoil)
		end
	end
	if player.mo and player.mo.skin == skin
	and (player.cmd.buttons & thebutton)
	and hasdelay == false
	and not player.mo.buttonholding
	and RingTaker(player) == true
		player.mo.buttonholding = true
		if player.mo.shootaim and player.mo.shootaim.valid and autoaim == true
			P_SpawnMissile(player.mo, player.mo.shootaim, projectile)
		else
			P_SPMAngle(player.mo,projectile,player.mo.angle,0)
		end
		S_StartSound(player.mo, sound)
		if hasrecoil == true
			P_InstaThrust(player.mo, player.mo.angle, -FRACUNIT*recoil)
		end
	end
end)